### Class method

# Gtk WidgetClass set_accessible_role

#### Declaration [src]

    void
    gtk_widget_class_set_accessible_role (
      GtkWidgetClass* widget_class,
      GtkAccessibleRole accessible_role
    )

#### Description [src]

Sets the accessible role used by the given widget class.

Different accessible roles have different states, and are rendered differently by assistive technologies.

#### Parameters

`accessible_role`

  Type: `GtkAccessibleRole`

  The accessible role to use.